Bug 482746 - Metacity takes ages to redraw window borders
Metacity takes ages to redraw window borders
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-27 15:36 EST by Adrien Bustany
Modified: 2009-11-17 19:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-17 19:24:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrien Bustany 2009-01-27 15:36:25 EST
Description of problem:
Since I upgraded to rawhide, metacity is much slower. Window borders take ages to redraw. The problem is not observed if I use for example openbox instead of metacity. Is this triggered by some debug flags ?
I'm using the intel x11 driver but I got some confirmation from someone using nv, so graphic driver might not be the culprit here.

Version-Release number of selected component (if applicable):
Comment 1 Bug Zapper 2009-06-09 06:54:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 2 Owen Taylor 2009-11-17 19:24:16 EST
Probably something that nodoka-metacity-theme started doing that was really slow. We are no longer defaulting to nodoka-metacity-theme, and it might have been fixed since anyways. Going to close this since I'm not seeing any window border drawing speed issues with either Clearlooks (our default) or Nodoka in Fedora 12.

If you are still seeing this:;

 A) Check to see what theme you are using
 B) Open a bunch of really simple windows on a couple of desktops (xlogo from xorg-x11-apps would be good)
 C) Install and run sysprof on a different desktop, start a profile
 D) Switch between the desktops with the xlogos
 E) Hit profile and get a screenshot with Alt-PrtScrn
 F) Attach that here and reopen the bug

Note You need to log in before you can comment on or make changes to this bug.